Bug 176258 - clusvcmgrd umount busy
clusvcmgrd umount busy
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2005-12-20 12:13 EST by Norco IS
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-21 13:47:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
portion of messages file (2.50 KB, text/plain)
2005-12-20 12:18 EST, Norco IS
no flags Details
cluster.xml (1.58 KB, text/plain)
2005-12-20 14:16 EST, Norco IS
no flags Details
rmtab (99 bytes, application/octet-stream)
2005-12-20 14:17 EST, Norco IS
no flags Details
exports (116 bytes, application/octet-stream)
2005-12-20 14:18 EST, Norco IS
no flags Details
lsof -bn (75.35 KB, application/octet-stream)
2005-12-20 14:25 EST, Norco IS
no flags Details

  None (edit)
Description Norco IS 2005-12-20 12:13:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a5) Gecko/20041122

Description of problem:
When trying to failover a cluster service from one member to another using redhat-config-cluster it fails. This cluster service includes a shared disk partition. Attached is a portion of the messages file from the member currently running the service. It shows the umount problem.
This problem just started after applying updates to the cluster members.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.use redhat-config-cluster to move the service from one member to another

Actual Results:  See attached log

Expected Results:  Service should have started up on other cluster member

Additional info:
Comment 1 Norco IS 2005-12-20 12:18:01 EST
Created attachment 122454 [details]
portion of messages file
Comment 2 Lon Hohberger 2005-12-20 13:36:36 EST
Please file a request with Red Hat Support as well:


They will ask for a full sysreport, which will be invaluable aid in diagnosing
the problem.  Chances are good that this is more related to a recent kernel or
nfs-utils update than a clumanager update (given that the file system
mounting/unmounting code has not changed in quite some time...).

This information will also be helpful:
- output of 'lsof -bn' when the problem occurs
- output of 'fuser -vm /home2' when the problem occurs

If you do not have a support contract, please add the following to this bugzilla:
- /etc/cluster.xml
- /var/lib/nfs/rmtab
- /proc/fs/nfs/exports
- output of 'rpm -qa | grep kernel'
- output of 'rpm -q nfs-utils 
- output of 'rpm -q clumanager'
- If possible, the last version of clumanager and recent kernels you were running.

Thank you!
Comment 3 Norco IS 2005-12-20 14:16:46 EST
Created attachment 122462 [details]
Comment 4 Norco IS 2005-12-20 14:17:35 EST
Created attachment 122463 [details]
Comment 5 Norco IS 2005-12-20 14:18:07 EST
Created attachment 122464 [details]
Comment 6 Norco IS 2005-12-20 14:24:00 EST
output of 'rpm -qa | grep kernel' is:

output of 'rpm-q nfs-utils' is:

output of 'rpm -q clumanager' is:

I don't have the last version of clumanager.
The kernel was actually not updated at this time. The current kernel is (uname -a):
Linux email1.norco.com 2.4.21-32.0.1.ELsmp #1 SMP Tue May 17 17:52:23 EDT 2005
i686 i686 i386 GNU/Linux

I got the output of 'lsof -bn' and 'fuser -vm /home2' by doing a 'disable' of
the email service through redhat-config-cluster. (Disabling of the service seems
to produce the same result as moving the service to another cluster member)
Comment 7 Norco IS 2005-12-20 14:25:08 EST
Created attachment 122465 [details]
lsof -bn
Comment 8 Norco IS 2005-12-20 14:27:11 EST
'fuser -vm /home2' produces no output
Comment 9 Need Real Name 2005-12-21 09:28:35 EST
Yesterday morning we started testing a cluster and ran into the same problem.
NFS does not let go of the device mounted if a client has already mounted it. If
no clients mount it, then things "work". As Norco stated above, once nfs is
killed or stopped, the device can be unmounted normally. 
Comment 10 Lon Hohberger 2005-12-21 10:16:49 EST
There is a known problem with the -42 release of nfs-utils which causes exportfs
to not correctly remove exports; a fix should be coming out shortly.  As an
alternative, you can use an older release of the nfs-utils package to work
around the problem.
Comment 11 Norco IS 2005-12-21 13:21:15 EST
I went back to nfs-utils-1.0.6-33EL. That fixed the problem for now. Thanks.
Comment 12 Lon Hohberger 2005-12-21 13:47:31 EST
Great -- closing NOTABUG for now (it's not a clumanager bug)

This should be fixed when nfs-utils-1.0.6-43EL goes out after testing.

Note You need to log in before you can comment on or make changes to this bug.